System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.Component

provides access to the frequently used properties for Soapsuds-generated proxies that point to well-known objects (XML Web services).

The abstract base class for proxies to well-known objects that were generated by the Soapsuds tool.

- Constructor
  To be added

  Creates an instance of .

  1.0.5000.0
  2.0.0.0
- Field
  System.Object To be added

  The transparent proxy inside the remoting client proxy object.

  1.0.5000.0
  2.0.0.0
- Field
  System.Type

  The class type of the object that the current proxy represents.

  Indicates the type of the object that the current proxy represents.

  1.0.5000.0
  2.0.0.0
- Field
  System.String

  The URL of the object that the current proxy represents.

  Indicates the URL of the object that the current proxy represents.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value that indicates whether the automatic handling of server redirects is enabled.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Internal. Automatically configures the proxy by loading the channels, if they are not already loaded and creating the proxy.

  The class type of the object that the current proxy represents. The URL of the object that the current proxy represents. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Internal. Connects the proxy to the remoting channel that is specified by the property.

  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added: an object of type 'object' To be added

  This property is not currently implemented. The property returns null (Nothing in Visual Basic).

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  For more information on remoting security and authentication methods, see Security.

  Gets or sets the domain name to be used for basic authentication and digest authentication.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  This property is not currently implemented. The property throws a .

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  For more information on remoting security and authentication methods, see Security.

  Gets or sets the password to use for basic authentication and digest authentication.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the base URL to the server to use for requests.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value that indicates whether preauthentication of requests is enabled.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the proxy server to use for requests.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets or sets the port number of the proxy server to use for requests.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The default value of the property is -1, and indicates that a time-out never occurs (infinite time-out).

  Gets or sets the time-out in milliseconds to use for synchronous calls.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the base URL to the server to use for requests.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the user agent HTTP header for the request.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  For more information on remoting security and authentication methods, see Security.

  Gets or sets the user name to send for basic authentication and digest authentication.

  1.0.5000.0
  2.0.0.0